package stub

import (
	"context"

	"source.toby3d.me/toby3d/home/internal/domain"
	"source.toby3d.me/toby3d/home/internal/site"
)

type stubSiteRepository struct {
	err  error
	site *domain.Site
}

func NewStubSiteRepository(site *domain.Site, err error) site.Repository {
	return &stubSiteRepository{
		site: site,
		err:  err,
	}
}

func (repo *stubSiteRepository) Get(_ context.Context, _ domain.Language) (*domain.Site, error) {
	return repo.site, repo.err
}
